RedCrawler API
Moderation V1

Manage Reports V1

Ignore, unignore, snooze, or unsnooze reports on a post or comment. Ignore permanently hides reports. Snooze temporarily hides reports for 7 days. Works on both

POST /api/v1/moderate/manage-reports

Ignore, unignore, snooze, or unsnooze reports on a post or comment. Ignore permanently hides reports. Snooze temporarily hides reports for 7 days. Works on both posts (t3_) and comments (t1_). Requires mod permissions.

Body parameters

NameTypeRequiredDescription
actionstringYesAction to perform: ignore, unignore, snooze, unsnooze.
poststringYesPost or comment URL, ID, or fullname (t3_ or t1_ prefix).
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/moderate/manage-reports" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"action": "ignore", "post": "1sys4r2", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/manage-reports", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "action": "ignore",
  "post": "1sys4r2",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/manage-reports"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "action": "ignore",
  "post": "1sys4r2",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {},
  "error": null,
  "timestamp": "2026-04-29T15:27:28.040182+00:00"
}

On this page